@if (grid.gridDisplay$ | async; as gridDisplay) {
  @if (filterData$ | async; as filterData) {
    <div class="full-height flex-column grid-filter-manager">
      <div class="flex-fixed-size full-width flex-row">
        <button
          nz-button
          nzType="primary"
          (click)="validateFilters()"
          [attr.data-test-button-id]="'search-button'"
        >
          {{ 'sqtm-core.generic.label.research' | translate | capitalize }}
        </button>
        <div
          class="flex-fixed-size reset-link current-workspace-main-color __hover_pointer __hover_current_ws_border m-r-20 m-l-auto"
          [attr.data-test-element-id]="'grid-filter-manager-reset-filters'"
          (click)="resetFilters()"
        >
          <span>{{ 'sqtm-core.search.generic.new' | translate }}</span>
        </div>
      </div>
      <div
        #addFilter
        class="flex-fixed-size criteria-link current-workspace-main-color m-t-20 __hover_pointer __hover_current_ws_border"
        [class.current-workspace-border-color]="openSelectFilterMenu"
        [attr.data-test-element-id]="'grid-filter-manager-add-criteria'"
        (click)="showAvailableFilters()"
      >
        <i nz-icon nzType="plus"></i
        ><span class="m-l-8">{{
          'sqtm-core.search.generic.add-criteria' | translate
        }}</span>
      </div>
      <div class="criteria-scroller">
        @if (filterData.scope.active) {
          <div class="m-t-10">
            <sqtm-core-scope
              [scope]="filterData.scope"
              [allowCustomScope]="gridDisplay.scopeDefinition.allowCustomScope"
              [customScopeKind]="gridDisplay.scopeDefinition.customScopeKind"
              (valueChanged)="changeScope($event)"
            ></sqtm-core-scope>
          </div>
        }
        @if (showExtendedScopeOptionInFilterPanel) {
          <div class="m-t-10 extended-scope">
            <sqtm-core-simple-checkbox
              [attr.data-test-field-id]="'filtered-extendedHighLvlReqScope'"
              [value]="filterData.extendedHighLvlReqScope"
              (clickedInActiveMode)="changeExtendedScope()"
            ></sqtm-core-simple-checkbox>
            <div class="m-l-10">
              <span>{{
                'sqtm-core.search.requirement.criteria.extended-scope.label'
                  | translate
              }}</span>
              <i
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.search.requirement.criteria.extended-scope.tooltip'
                    | translate
                "
                [nzTooltipPlacement]="'right'"
                class="current-workspace-button tooltip-icon table-icon-size m-l-5"
              >
              </i>
            </div>
          </div>
        }
        <div class="m-t-10">
          @for (filter of filterData.filters; track filter.id) {
            @if (filter.active || filter.alwaysActive) {
              <sqtm-core-filter-field
                class="m-t-5"
                [filterData]="{ filter: filter, scope: filterData.scope }"
                [allowDelete]="!filter.alwaysActive"
                [preventOpening]="filter.preventOpening"
                [lockedValue]="filter.lockedValue"
                [filterGroups]="filterData.filterGroups"
                (valueChanged)="changeFilterValue($event, filter)"
                (filterInactivated)="inactivateFilter(filter.id.toString())"
              ></sqtm-core-filter-field>
            }
          }
        </div>
      </div>
    </div>
  }
}
